> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/newsroom-planner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/newsroom-planner/6.0.5/admin-guide/settings/configuration/property-mappings.md).

# Property mappings

Model keys to OC property mapping

#### Event:

```javascript
{
    "xml": "EventXML", //{1}
    "uuid": "uuid", //{1}
    "mimetype": "mimetype", //{1}
    "name": "EventName", //{1}
    "sector": "EventSector", //{1}
    "startDate": "EventStartDate", //{1}
    "endDate": "EventEndDate", //{1}
    "etag": "checksum", //{1}
    "planningItem": { //{2}
        "property": "EventPlanningItemRelations" //{3}
    }
}
```

1. A key value pair where left part is internal keys and right part is OC properties
2. Internal format to determine that the following part is a relation. Left part internal key
3. Which property to contains the relation from OC

#### PlanningItem:

```javascript
{
    "uuid": "uuid", //{1}
    "etag": "checksum", //{1}
    "xml": "PlanningXML", //{1}
    "mimetype": "mimetype", //{1}
    "headline": "PlanningHeadline", //{1}
    "urgency": "PlanningUrgency", //{1}
    "statusHRM": "PlanningStatusHRM", //{1}
    "sector": "PlanningSector", //{1}
    "startDate": "PlanningStartDate", //{1}
    "endDate": "PlanningEndDate", //{1}
    "event": { //{2}
        "property": "PlanningEventRelation" //{3}
    },
    "assignments": { //{2}
        "property": "PlanningAssignmentsRelation" //{3}
    }
}
```

1. A key value pair where left part is internal keys and right part is OC properties
2. Internal format to determine that the following part is a relation. Left part internal key
3. Which property to contains the relation from OC

#### Assignment:

```javascript
{
    "etag": "checksum", //{1}
    "uuid": "uuid", //{1}
    "contentType": "contenttype", //{1}
    "xml": "AssignmentXML", //{1}
    "mimetype": "mimetype", //{1}
    "headline": "AssignmentHeadline", //{1}
    "type": "AssignmentType", //{1}
    "statusHRM": "AssignmentStatusHRM", //{1}
    "assigneeName": "AssignmentAssigneesName", //{1}
    "endDate": "AssignmentEndDate", //{1}
    "startDate": "AssignmentStartDate", //{1}
    "assignees": { //{2}
        "property": "AssignmentAssigneesRelation" //{3}
    },
    "articles": { //{2}
        "property": "AssignmentArticlesRelation" //{3}
    },
    "planningItem": { //{2}
        "property": "AssignmentPlanningItemRelation" //{3}
    }
}
```

1. A key value pair where left part is internal keys and right part is OC properties
2. Internal format to determine that the following part is a relation. Left part internal key
3. Which property to contains the relation from OC

#### Articles:

```javascript
{
    "headline": "WriterHeadlines", //{1}
    "leadin": "ArticleLeadin", //{1}
    "mimetype": "mimetype", //{1}
    "body": "ArticleBody", //{1}
    "uuid": "uuid", //{1}
    "created": "created", //{1}
    "status": "WriterPubStatus", //{1}
    "updated": "updated", //{1}
    "authors": "WriterAuthors", //{1}
    "authorsUuid": "WriterAuthorsUuid", //{1}
    "images": "ArticleMetaImageUuids", //{1}
    "caption": "ArticleCaption", //{1}
    "title": "Name", //{1}
    "channels": "ArticleMetaChannels", //{1}
    "publishedDate": "PubDate" //{1}
    "size": "ArticleSize", //{1}
    "premium": "ArticleMetaPremium", //{1}
    "checksum": "checksum", //{1}
    "assignmentUuid": "ArticleMetaAssignmentUuid" //{1}
}
```

1. A key value pair where left part is internal keys and right part is OC properties

#### Concepts:

```json
{
    "xml": "ConceptXML",
    "uuid": "uuid",
    "name": "ConceptName",
    "type": "ConceptImTypeFull",
    "imidSub": "ConceptImIdSubjectId",
    "broader": {
        "property": "ConceptBroaderRelation"
    },
    "associatedWith": {
        "property": "ConceptAssociatedWithRelations"
    },
    "replacedBy": {
        "property": "ConceptReplacedByRelation"
    },
    "avatar": {
        "property": "ConceptAvatarRelation"
    }
}
```

#### Avatar:

```javascript
{
    "uuid": "uuid",
    "filename": "WriterFileName"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.navigaglobal.com/newsroom-planner/6.0.5/admin-guide/settings/configuration/property-mappings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
